<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateQuotesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: quotes
         */
        Schema::create('quotes', function ($table) {
            $table->increments('id');
            $table->integer('project_id')->nullable();
            $table->integer('agent_id')->nullable();
            $table->enum('status', ['Pending','Approved'])->nullable();
            $table->float('price')->nullable();
            $table->text('details')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('quotes');
    }
}
